"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.encrypt = exports.decrypt = void 0;
const caesarCipher = (str, shift) => {
  return str.split("").map(char => {
    let code = char.charCodeAt();
    if (code >= 65 && code <= 90) {
      return String.fromCharCode((code - 65 + shift) % 26 + 65);
    } else if (code >= 97 && code <= 122) {
      return String.fromCharCode((code - 97 + shift) % 26 + 97);
    }
    return char;
  }).join("");
};
const encrypt = (plaintext, shift) => caesarCipher(plaintext, shift);
exports.encrypt = encrypt;
const decrypt = (ciphertext, shift) => caesarCipher(ciphertext, 26 - shift);
exports.decrypt = decrypt;